Description

I hope this is the right place to post this.  The Tracing tool found on the 'Advanced Digitizing' Toolbar is a really great tool.  But sometimes

when I'm using it a lot to create geometries that "hop" from one geometry to another unconnected geometry, it is a bit of a hindrance

having to manually turn off/on the tool each time.

Perhaps to improve usability when the Tracing tool is turned on there is also the ability to temporarily disable the tool by pressing-holding

the ctrl key (or a different key). This way the user can still draw the geometry, and when they release the ctrl key they can continue with

tracing.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-05-22 04:55 PM - Regis Haubourg

- Status changed from Open to Feedback

- Category set to Digitising

- Description updated

Hi,  I tried to reproduce in master and didn't have to turn off tracing to change between disconnected geometries. I just do a left clic on the exit point from

first geometry and another one on the entry point on the next geometry. 

Would that work for you?

#3 - 2017-05-22 06:18 PM - Harrissou Santanna

Philip Tait wrote:

Perhaps to improve usability when the Tracing tool is turned on there is also the ability to temporarily disable the tool by pressing-holding the ctrl key

(or a different key). This way the user can still draw the geometry, and when they release the ctrl key they can continue with tracing.

Already there and in a IMHO better configuration: Just press "T" enables and disables the tracing. 

http://docs.qgis.org/2.14/en/docs/user_manual/working_with_vector/editing_geometry_attributes.html#automatic-tracing

#4 - 2017-05-23 09:04 AM - Philip Tait

Cheers @Harrissou Satanna, I didn't know about the 'T' button, does exactly what I needed it to.  I guess this issue can be closed now...any ideas how to

do that? Thanks again for the help.

2025-04-26 1/2

http://docs.qgis.org/2.14/en/docs/user_manual/working_with_vector/editing_geometry_attributes.html#automatic-tracing


#5 - 2017-05-23 09:05 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
